# -*- coding: utf-8 -*-
#
# Command for delete rss entry
#
# Copyright(C) 2005-, Atzm WATANABE <sitosito@p.chan.ne.jp>
#
# $Id: $

from supercommand import SuperCommand

class command_del(SuperCommand):
	def __init__(self, config):
		"""
		Delete processes are:
			Analyze term:
				1. split command line args (SuperCommand scheduled)
			Modify term:
				1. load rss for parallel process (SuperCommand scheduled)
				2. delete previous memo
			Write term:
				1. write out to rss file (SuperCommand defined)
				2. write out to html file (SuperCommand defined)
				(3. notice after write term (overridden) )
		"""
		SuperCommand.__init__(self, config)
		self.append_proc('modify', 'delete_prev')
		self.append_term('write',  ['write_to_rss', 'write_to_html'])

	def _delete_prev(self, c, e, msg, nick, channel):
		try:
			self.remove_prev_item(nick)
		except:
			return False
		return True

	def _after_write_term(self, c, e, msg, nick, channel):
		try:    c.notice(nick, 'Deleted previous memo successfully.')
		except: return False
		return True
