# -*- coding: utf-8 -*-
#
# Command for modify rss entry
#
# Copyright(C) 2005-, Atzm WATANABE <sitosito@p.chan.ne.jp>
#
# $Id: $

from supermemo import SuperMemo

class command_modify(SuperMemo):
	def __init__(self, config):
		"""
		Modify processes are:
			Analyze term:
				1. split command line args (SuperCommand scheduled)
				2. append prefix to title (SuperMemo scheduled)
			Modify term:
				1. load rss for parallel process (SuperCommand scheduled)
				2. delete previous item
				3. add args as item to rss object (SuperMemo scheduled)
			Write term:
				1. write out to rss file (SuperMemo scheduled)
				2. write out to html file (SuperMemo scheduled)
				(3. notice after write term (overridden) )
		"""
		SuperMemo.__init__(self, config, url=1, title=2, description=3)

	def _before_add_item_to_rss(self, c, e, msg, nick, channel):
		try:
			self.remove_prev_item(nick)
		except:
			return False
		return True

	def _after_write_term(self, c, e, msg, nick, channel):
		try:    c.notice(nick, 'Modified previous memo successfully.')
		except: return False
		return True
