# -*- coding: utf-8 -*-
#
# Command for write rss or html
#
# Copyright(C) 2005-, Atzm WATANABE <sitosito@p.chan.ne.jp>
#
# $Id: $

from supercommand import SuperCommand

class command_write(SuperCommand):
	def __init__(self, config):
		"""
		tmemo processes are:
			Analyze term:
				1. split command line args (SuperCommand scheduled)
			Write term:
				1. write out to file
				(2. notice after write term (overridden) )
		"""
		SuperCommand.__init__(self, config, filetype=1)
		self.remove_term('modify') # warito dangerous
		self.append_term('write', ['write_file'])

	def _write_file(self, c, e, msg, nick, channel):
		try:
			filetype = self.get_arg('filetype')
			if filetype == 'rss':
				self.write_rss(nick)
			elif filetype == 'html':
				self.write_html(nick)
			else:
				c.notice(nick, 'Unknown type: %s' % filetype)
				return False
		except IOError:
			return False
		return True

	def _after_write_term(self, c, e, msg, nick, channel):
		try:    c.notice(nick, 'Wrote out to %s' % self.get_arg('filetype'))
		except: return False
		return True
